clear
capture log close
cd /users/fenella/desktop/

* Open log file
log using section07.log, text replace

* Read data set (data is 1980 census data on 50 states)
use census, clear 

* Regression of population size on median age, number of deaths, number of marriages, number of divorces
reg pop medage death marriage divorce

* Test the individual hypothesis that the coeff on medage is zero
test medage = 0

* Test the joint hypothesis that the coeff on all 4 regressors are simultaneously zero
test (medage = 0) (death = 0) (marriage = 0) (divorce = 0) 

* Test the linear hypothesis that the coeff on death minus coeff on marriage is zero
test death - marriage = 0 

* Close log file
log close 
